com.google.gwt.resources.gss

## Class PermutationsCollector

- java.lang.Object
- - com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
  - - com.google.gwt.resources.gss.ExtendedConditionalNodeVisitor
    - - com.google.gwt.resources.gss.PermutationsCollector

- All Implemented Interfaces:
    com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler, com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass, com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor

      public class PermutationsCollector
      extends ExtendedConditionalNodeVisitor
      implements com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

  Visitor that collects the different permutation axis defined in a gss file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.util.regex.Pattern` | `IS_FUNCTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermutationsCollector(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterBooleanExpression(com.google.gwt.thirdparty.common.css.compiler.ast.CssBooleanExpressionNode booleanExpressionNode)`
    `java.util.List<java.lang.String>` | `getPermutationAxes()`
    `void` | `runPass()`

    - ### Methods inherited from class com.google.gwt.resources.gss.ExtendedConditionalNodeVisitor

      `enterConditionalRule`

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

      `enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalBlock, enterDeclaration, enterDeclarationBlock, enterDefinition, enterFontFace, enterForLoop, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterUnknownAtRule, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveConditionalRule, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveForLoop, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_FUNCTION

          static final java.util.regex.Pattern IS_FUNCTION

  - ### Constructor Detail

    - #### PermutationsCollector

          public PermutationsCollector(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController delegate)

  - ### Method Detail

    - #### enterBooleanExpression

          public void enterBooleanExpression(com.google.gwt.thirdparty.common.css.compiler.ast.CssBooleanExpressionNode booleanExpressionNode)

      Overrides:
        `enterBooleanExpression` in class `ExtendedConditionalNodeVisitor`

    - #### getPermutationAxes

          public java.util.List<java.lang.String> getPermutationAxes()

    - #### runPass

          public void runPass()

      Specified by:
        `runPass` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass`